;;*************************************************;;
;;     	   [円（一本の線に接し,一点を通る）]       ;;
;;      en_line.lsp                                ;;
;;                                                 ;;
;;*************************************************;;
(defun C:en_line( / obj_li obj_po hankei pt_st pt_en ang1 ang2 ang3
                    pt_kari pt_int0 dist0 dist1 pt_int1 pt_int2
                    obj_2 cen_1 obj_3 cen_2 obj_4 cen_3)
;;oスナップモードを解除する
	(setq omode (getvar "OSMODE"))
;;	(command "OSMODE" 0)

;;情報の取得
	(setq obj_li (entsel "\n接する線を指示："))
	(setq obj_po (getpoint "\n通過点を指示："))
	(setq hankei (getreal "\n円の半径は？"))
;;計算
	(command "OFFSET" hankei obj_li obj_po "")
	(setq obj_1 (entlast))
	(setq pt_st (cdr (assoc 10 (entget obj_1))))
	(setq pt_st (trans pt_st 0 1))
	(setq pt_en (cdr (assoc 11 (entget obj_1))))
	(setq pt_en (trans pt_en 0 1))
	(setq ang1  (angle pt_st pt_en))
	(setq ang2  (+ ang1 (/ pi 2)))
	(setq ang3  (+ ang1 pi))
	
	(command "ERASE" obj_1 "") ;;オフセットの線を削除
	(setq pt_kari (polar obj_po ang2 1.0))
	(setq pt_int0 (inters pt_st pt_en obj_po pt_kari nil))
	(setq dist0 (distance obj_po pt_int0))
	(setq dist1 (sqrt (- (* hankei hankei) (* dist0 dist0))))
;;pt_int1,pt_int2の計算
	(setq pt_int1 (polar pt_int0 ang3 dist1))
	(setq pt_int2 (polar pt_int0 ang1 dist1))
;;円の作図
	(command "CIRCLE" pt_int1 hankei)
	(setq obj_2 (entlast))
	(setq cen_1 (cdr (assoc 10 (entget obj_2))))
	(command "CIRCLE" pt_int2 hankei)
	(setq obj_3 (entlast))
	(setq cen_2 (cdr (assoc 10 (entget obj_3))))
	(command "CHANGE" obj_2 obj_3 "" "P" "C" "1" "")
;選択した円を残す
	(setq obj_4 (entsel "\n残す円を指示："))
	(setq cen_3 (cdr (assoc 10 (entget (car obj_4)))))
	(if (equal cen_1 cen_3)
	    (progn
		(command "ERASE" obj_3 "")
	        (command "CHANGE" obj_2 "" "P" "C" "7" "")
	    )
	    (progn
		(command "ERASE" obj_2 "")
	        (command "CHANGE" obj_3 "" "P" "C" "7" "")
	    )
	)
;;Oスナップモードをもとに戻す
	(setvar "OSMODE" omode)
(redraw)
(princ)
)
