;*********************************************************************************;
;*                ファイル名     era_lay.lsp                                     *;
;*                関数名         era_lay                                         *;
;*                                                                               *;
;*                指示した図形と同じレイヤーの図形を削除する                     *;
;*                                                                               *;
;*                                                   98/01/11                    *;
;*********************************************************************************;
;
(defun C:era_lay( / ent_1 ent_name ent_all ent_len ss_set i ent_2 ent_3)
(setvar "CMDECHO" 0)
	(setq ent_1 (entsel "\n削除するレイヤーの図形を指示:"))
	(setq ent_name (cdr (assoc 8 (entget (car ent_1)))))  ;レイヤー名取得
;検索開始
	(setq ent_all (ssget "X"))
	(setq ent_len (sslength ent_all))
	(setq ss_set (ssadd))                                 ;空の選択セット
	(setq i 0)
	(repeat ent_len
	   (setq ent_2 (ssname ent_all i))
	   (setq ent_3 (cdr (assoc 8 (entget ent_2))))
	   (if (= ent_name ent_3)
	       (ssadd ent_2 ss_set)
	   )
	   (setq i (1+ i))
	)
	(command "ERASE" ss_set "")
(setvar "CMDECHO" 1)
(princ)
)
