;;**********************************************;;
;;  平行線（オフセット）長さ指定                ;;
;;                                              ;;
;;  SIN_REN4.LSP                                ;;
;;**********************************************;;

(defun C:SIN_REN4( / ent pt0 spt ept pt1 dist1 dist2 ang
                     pt_r pt_l)
	(setq ent (entsel "\n平行線を出す線を指示："))
	(setq pt0 (cadr ent))
	(setq spt (cdr (assoc 10 (entget (car ent)))))
	(setq ept (cdr (assoc 11 (entget (car ent)))))
	  (setq spt (trans spt 0 1)
	        ept (trans ept 0 1)
	  )
	
	(setq pt1   (getpoint "\n平行線の方向を指示："))
	(setq dist1 (getdist "\n距離を入力："))
	(setq dist2 (getdist "\n長さを入力："))
	(if (> (distance spt pt1) (distance ept pt1))
	    (setq s spt spt ept ept s)
	)
        (setq ang (angle spt ept))
	(setq pt_r  (polar spt (- ang (* 0.5 pi)) dist1))
	(setq pt_l  (polar spt (+ ang (* 0.5 pi)) dist1))
	(if (< (distance pt_r pt1) (distance pt_l pt1))
	    (command "LINE" pt_r (polar pt_r ang dist2) "")
	    (command "LINE" pt_l (polar pt_l ang dist2) "")
	)
(princ)
)
