(defun c:S_Text2 ( / lin1 cir1 arc1 pol1 ins1
		     dim1 mte1 tex1)
;; 線分の個数
  (setq lin1 (ssget "x" '((0 . "LINE"))))
  (setq num_lin (sslength lin1))
;; 円の個数
  (setq cir1 (ssget "x" '((0 . "CIRCLE"))))
  (setq num_cir (sslength cir1))
;; 円弧の個数
  (setq arc1 (ssget "x" '((0 . "ARC"))))
  (setq num_arc (sslength arc1))
;; ポリラインの個数
  (setq pol1 (ssget "x" '((0 . "LWPOLYLINE"))))
  (setq num_pol (sslength pol1))
;; ブロックの個数
  (setq ins1 (ssget "x" '((0 . "INSERT"))))
  (setq num_ins (sslength ins1))
;; 寸法の個数
  (setq dim1 (ssget "x" '((0 . "DIMENSION"))))
  (setq num_dim (sslength dim1))
;; マルチテキストの個数
  (setq mte1 (ssget "x" '((0 . "MTEXT"))))
  (setq num_mte (sslength mte1))
;; 1行文字の個数
  (setq tex1 (ssget "x" '((0 . "TEXT"))))
  (setq num_tex (sslength tex1))  
	
  (setq dcl_id (load_dialog "S_Text2"))
  (new_dialog "S_Text2" dcl_id)
   
  (set_tile "text1" (strcat "線分の数　　　：" (itoa num_lin)))
  (set_tile "text2" (strcat "円の数　　　  　：" (itoa num_cir)))
  (set_tile "text3" (strcat "円弧の数　　　：" (itoa num_arc)))
  (set_tile "text4" (strcat "ポリラインの数  ：" (itoa num_pol)))
  (set_tile "text5" (strcat "ブロックの数　   ：" (itoa num_ins)))
  (set_tile "text6" (strcat "寸法の数　　 　：" (itoa num_dim)))
  (set_tile "text7" (strcat "マルチ文字の数：" (itoa num_mte))) 
  (set_tile "text8" (strcat "１行文字の数　：" (itoa num_tex)))
  
  (setq dialog-box (start_dialog))
  (unload_dialog dcl_id)
  (if(= (getvar "DIASTAT") 1) (S_Text2-1))
  
(princ)
)

(defun S_Text2-1()
  (alert "\n終了します")
)